## opencbm-0.4.2a-src.zip

=== LINUX/Makefile ===
# $Id: Makefile,v 1.6.2.3 2007/11/04 11:05:39 strik Exp $

include LINUX/config.make

CBMDEV   = /dev/cbm
CBMPERM  = 666
DEVMAJOR = 10
DEVMINOR = 177
SUBDIRS  = sys/linux include arch/$(ARCH) lib compat \
           cbmctrl cbmformat cbmforng d64copy cbmcopy \
           demo/flash demo/morse demo/rpm1541 docs

SUBDIRS_OPTIONAL = mnib36

.PHONY: all clean mrproper dist install uninstall dev install-files

all: 
	@for subdir in $(SUBDIRS); do \
	  $(MAKE) -C $$subdir -f LINUX/Makefile $@ || exit 1; \
	done
	@for subdir in $(SUBDIRS_OPTIONAL); do \
	  (test -e $$subdir/LINUX/Makefile && $(MAKE) -C $$subdir -f LINUX/Makefile $@; ) || true; \
	done

clean:
	@for subdir in $(SUBDIRS); do \
	  $(MAKE) -C $$subdir -f LINUX/Makefile $@ || exit 1; \
	done
	@for subdir in $(SUBDIRS_OPTIONAL); do \
	  (test -e $$subdir/LINUX/Makefile && $(MAKE) -C $$subdir -f LINUX/Makefile $@; ) || true; \
	done

mrproper:
	@for subdir in $(SUBDIRS); do \
	  $(MAKE) -C $$subdir -f LINUX/Makefile $@ || exit 1; \
	done
	@for subdir in $(SUBDIRS_OPTIONAL); do \
	  (test -e $$subdir/LINUX/Makefile && $(MAKE) -C $$subdir -f LINUX/Makefile $@; ) || true; \
	done

dist: all clean
	-rm -f build-stamp configure-stamp
	tar czvf ../`basename \`pwd\``.tar.gz --exclude=CVS --exclude=debian -C .. `basename \`pwd\``

install-files: all
	mkdir -p -m 755 $(BINDIR) $(LIBDIR) $(MANDIR) $(INCDIR) $(MODDIR) $(INFODIR)
	@for subdir in $(SUBDIRS); do \
	  $(MAKE) -C $$subdir -f LINUX/Makefile $@ || exit 1; \
	done
	@for subdir in $(SUBDIRS_OPTIONAL); do \
	  (test -e $$subdir/LINUX/Makefile && $(MAKE) -C $$subdir -f LINUX/Makefile $@; ) || true; \
	done

install: install-files
	@for subdir in $(SUBDIRS); do \
	  $(MAKE) -C $$subdir -f LINUX/Makefile $@ || exit 1; \
	done
	@for subdir in $(SUBDIRS_OPTIONAL); do \
	  (test -e $$subdir/LINUX/Makefile && $(MAKE) -C $$subdir -f LINUX/Makefile $@; ) || true; \
	done

uninstall: 
	@for subdir in $(SUBDIRS); do \
	  $(MAKE) -C $$subdir -f LINUX/Makefile $@ || exit 1; \
	done
	@for subdir in $(SUBDIRS_OPTIONAL); do \
	  (test -e $$subdir/LINUX/Makefile && $(MAKE) -C $$subdir -f LINUX/Makefile $@; ) || true; \
	done

dev:
	mkdir -p -m 755 `dirname $(CBMDEV)`
	rm -f $(CBMDEV)
	mknod -m $(CBMPERM) $(CBMDEV) c $(DEVMAJOR) $(DEVMINOR)

showvars:
	echo CBMDEV=$(CBMDEV)
	echo CBMPERM=$(CBMPERM)
	echo DEVMAJOR=$(DEVMAJOR)
	echo SUBDIRS=$(SUBDIRS)
	echo SUBDIRS_OPTIONAL=$(SUBDIRS_OPTIONAL)
	echo
	echo XASS=$(XASS)
	echo PREFIX=$(PREFIX)
	echo BINDIR=$(BINDIR)
	echo LIBDIR=$(LIBDIR)
	echo MANDIR=$(MANDIR)
	echo INFODIR$(INFODIR)
	echo INCDIR=$(INCDIR)
	echo MODDIR=$(MODDIR)
	echo UDEV_RULES=$(UDEV_RULES)

	echo ARCH=$(ARCH)
	echo CFLAGS=$(CFLAGS)
	echo ALL_CFLAGS=$(ALL_CFLAGS)
	echo LIB_CFLAGS=$(LIB_CFLAGS)
	echo SHLIB_CFLAGS=$(SHLIB_CFLAGS)
	echo LINK_FLAGS=$(LINK_FLAGS)
	echo SONAME=$(SONAME)
	echo CC=$(CC)
	echo AR=$(AR)
	echo LDCONFIG=$(LDCONFIG)
	echo KERNEL_SOURCE=$(KERNEL_SOURCE)

	echo KERNEL_INCLUDE_CONFIG=$(KERNEL_INCLUDE_CONFIG)

	echo KERNEL_DEFINE=$(KERNEL_DEFINE)

	echo KERNEL_FLAGS=$(KERNEL_FLAGS)

	echo MAJ=$(MAJ)
	echo MIN=$(MIN)
	echo REL=$(REL)

	echo VERSION=$(VERSION)

	echo XA=$(XA)

	echo CL65=$(CL65)
	echo LD65=$(LD65)
	echo CA65_FLAGS=$(CA65_FLAGS)

	echo
	echo EXTRA:
	echo MODDIR ALL = `for d in /lib/modules/\`uname -r\`/{kernel/drivers/char,extra,misc}; do test -d $$d && echo $$d; done`
	echo KERNEL_SOURCE ALL = ${shell for d in {/lib/modules/`uname -r`/build,/usr/src/linux}; do test -d $$d && echo $$d; done}

	echo KERNEL_INCLUDE_CONFIG ALL = ${shell for c in ${KERNEL_SOURCE}/include/linux/autoconf.h ${KERNEL_SOURCE}/include/linux/config.h; do test -f $$c && echo $$c; done}


showvars-file:
	make -f LINUX/Makefile showvars|grep -v "^echo" > showvars.txt

=== cbmcopy/LINUX/Makefile ===
# $Id: Makefile,v 1.1.10.1 2007/10/28 10:54:24 strik Exp $

include ../LINUX/config.make

.PHONY: all mrproper clean install uninstall install-files

OBJS = main.o pc64.o t64.o raw.o
PROG = cbmcopy
MAN1 = cbmcopy.1
LINKS = cbmread cbmwrite

all: $(PROG)

mrproper: clean

.c.o:
	$(CC) -g $(ALL_CFLAGS) -o $@ -c $<

clean:
	rm -f $(PROG) $(OBJS)

$(PROG): $(OBJS)
	$(CC) $(OBJS) -o $@ $(LINK_FLAGS)

install-files: $(PROG)
	install -m 755 -s $(PROG) $(BINDIR)
	for l in $(LINKS); do ln -sf $(PROG) $(BINDIR)/$$l; done
	install -m 644 $(MAN1) $(MANDIR)
	for l in $(LINKS); do ln -sf $(MAN1) $(MANDIR)/$$l.1; done

install: install-files

uninstall:
	rm -f $(BINDIR)/$(PROG) $(BINDIR)/$(LINKS)
	rm -f $(MANDIR)/$(MAN1) $(MANDIR)/$(LINKS)

=== cbmctrl/LINUX/Makefile ===
# $Id: Makefile,v 1.2.8.1 2007/10/28 10:54:25 strik Exp $

include ../LINUX/config.make

.PHONY: all mrproper clean install uninstall install-files

PROGS   = cbmctrl
OBJS    = cbmctrl.o
INC     = tdchange.inc
MAN1    = cbmctrl.1

all: $(PROGS)

clean:
	rm -f $(PROGS) $(OBJS) *.o65

mrproper: clean
	rm -f $(INC)

install-files: $(PROGS)
	install -m 755 -s $(PROGS) $(BINDIR)
	install -m 644 $(MAN1) $(MANDIR)

install: install-files

uninstall:
	for f in $(PROGS); do rm -f $(BINDIR)/$$f; done
	for f in $(MAN1); do rm -f $(MANDIR)/$$f{,.gz}; done

cbmctrl.o: cbmctrl.c tdchange.inc
	$(CC) $(ALL_CFLAGS) -c cbmctrl.c -o $@
	
cbmctrl: $(OBJS)
	$(CC) $(ALL_CFLAGS) $< -o $@ $(LINK_FLAGS)

=== cbmformat/LINUX/Makefile ===
# $Id: Makefile,v 1.1.10.1 2007/10/28 10:54:25 strik Exp $

include ../LINUX/config.make

.PHONY: all mrproper clean install uninstall install-files

PROG = cbmformat
INC  = cbmformat.inc
MAN1 = cbmformat.1

all: $(PROG)

clean:
	rm -f $(PROG) *.o *.o65

mrproper: clean
	rm -f $(INC)

install-files: $(PROG)
	install -m 755 -s $(PROG) $(BINDIR)
	install -m 644 $(MAN1) $(MANDIR)

install: install-files

uninstall:
	rm -f $(BINDIR)/$(PROG) $(MANDIR)/$(MAN1)

cbmformat.o: cbmformat.c cbmformat.inc
	$(CC) $(ALL_CFLAGS) -c cbmformat.c -o $@

cbmformat: cbmformat.o
	$(CC) $< -o $@ $(LINK_FLAGS)

=== cbmforng/LINUX/Makefile ===
# $Id: Makefile,v 1.2.4.1 2007/10/28 10:54:25 strik Exp $

include ../LINUX/config.make

.PHONY: all mrproper clean install uninstall install-files

PROG = cbmforng
INC  = cbmforng.inc
MAN1 = cbmforng.1

all: $(PROG)

clean:
	rm -f $(PROG) *.o *.o65

mrproper: clean
	rm -f $(INC)

install-files: $(PROG)
	install -m 755 -s $(PROG) $(BINDIR)
	install -m 644 $(MAN1) $(MANDIR)

install: install-files

uninstall:
	rm -f $(BINDIR)/$(PROG) $(MANDIR)/$(MAN1)

cbmforng.inc: cbmforng.a65 cbmfmacs.i65 cbmfsubs.i65 cbmforng.idh

cbmforng.o: cbmforng.c cbmforng.inc cbmforng.h cbmforng.idh
	$(CC) $(ALL_CFLAGS) -c cbmforng.c -o $@

cbmforng: cbmforng.o
	$(CC) $< -o $@ $(LINK_FLAGS)

=== compat/LINUX/Makefile ===
# $Id: Makefile,v 1.1 2005/03/02 18:17:18 strik Exp $

include ../LINUX/config.make

.PHONY: all clean mrproper install uninstall install-files

LIBS = libcbm4linux.a
OBJS = cbm.o upload.o
HDRS = cbm4linux.h

all: $(LIBS)

clean:
	rm -f $(LIBS) $(OBJS)

mrproper: clean

install-files:
	install -m 644 $(HDRS) $(INCDIR)
	install -m 644 $(LIBS) $(LIBDIR)

install: install-files

uninstall:
	rm -f $(INCDIR)/$(HDRS) $(LIBDIR)/$(LIBS)

.c.o:
	$(CC) $(LIB_CFLAGS) -DCBM4LINUX_OLDAPI -c $< -o $@

$(LIBS): $(OBJS)
	$(AR) r $@ $(OBJS)

=== d64copy/LINUX/Makefile ===
# $Id: Makefile,v 1.1.10.1 2007/10/28 10:54:25 strik Exp $

include ../LINUX/config.make

.PHONY: all mrproper clean install uninstall install-files

OBJS = main.o
PROG = d64copy
MAN1 = d64copy.1

.c.o:
	$(CC) $(ALL_CFLAGS) -c $< -o $@

all: $(PROG)

mrproper: clean

clean:
	rm -f $(PROG) $(OBJS)

$(PROG): $(OBJS)
	$(CC) $(OBJS) -o $@ $(LINK_FLAGS)

install-files: $(PROG)
	install -m 755 -s $(PROG) $(BINDIR)
	install -m 644 $(MAN1) $(MANDIR)

install: install-files

uninstall:
	rm -f $(BINDIR)/$(PROG) $(MANDIR)/$(MAN1)

=== docs/LINUX/Makefile ===
# $Id: Makefile,v 1.4 2006/04/28 12:57:35 strik Exp $

include ../LINUX/config.make

.PHONY: all clean mrproper install uninstall install-files

SGML = opencbm.sgml

PDF  = opencbm.pdf
TXT  = opencbm.txt
WINTXT  = opencbm.win.txt
TEX  = opencbm.tex
DVI  = opencbm.dvi
INFO = opencbm.info
HTML = html/opencbm.html

%.win.txt: %.txt
	sed -e 's/.//g;' -e 's/\[[0-9]*m//g;' $< > $@
	unix2dos $@
	
%.txt: %.sgml
	sgml2txt $<

%.pdf: %.dvi
	dvipdf $<

%.dvi: %.sgml
	sgml2latex -o dvi $<

%.info: %.sgml
	sgml2info $<
	perl -p -i -e 'if(m/^   \\input texinfo/){print "INFO-DIR-SECTION Miscellaneous\nSTART-INFO-DIR-ENTRY\n* opencbm: (opencbm).	Commodore serial IEC bus support.\nEND-INFO-DIR-ENTRY\n";}' $@

%.html: opencbm.sgml
	-[ ! -d html ] && mkdir html/
	cd html; sgml2html -s 2 ../$<; cd ..

all: $(TXT) $(DVI) $(INFO) $(HTML) ${PDF}

clean:
	rm -f $(TEX)

mrproper: clean
	rm -f $(DVI) $(INFO) $(TXT) ${PDF} ${WINTXT} html/*
	rmdir html/

install-files:
	gzip -c9 $(INFO) > $(INFODIR)/$(INFO).gz

install: install-files
	test -z `type -p mkinfodir` || mkinfodir || /bin/true

uninstall:
	rm -f $(INFODIR)/$(INFO).gz

=== include/LINUX/Makefile ===
# $Id: Makefile,v 1.1 2005/03/02 18:17:19 strik Exp $

include ../LINUX/config.make

.PHONY: all clean mrproper install uninstall install-files

INSTHDRS = opencbm.h d64copy.h cbmcopy.h

all:

clean:

mrproper: clean

install-files:
	install -m 644 $(INSTHDRS) $(INCDIR)

install: install-files

uninstall:
	cd $(INCDIR) && rm -d $(INSTHDRS)

=== lib/LINUX/Makefile ===
# $Id: Makefile,v 1.5.4.2 2007/10/28 11:38:38 strik Exp $

include ../LINUX/config.make

CA65_FLAGS += --asm-include-dir ../libd64copy/

.PHONY: all clean mrproper install uninstall install-files

LIBCBMCOPY = ../libcbmcopy
LIBD64COPY = ../libd64copy
LIBARCH    = ../arch/linux/

SHLIB   = libopencbm.so
SHLIBV  = $(SHLIB).$(MAJ)
SHLIBV3 = $(SHLIBV).$(MIN).$(REL)
LIB     = libopencbm.a
SRCS    = cbm.c detect.c detectxp1541.c petscii.c upload.c LINUX/archlib.c LINUX/archmnib.c \
	  $(foreach t,cbmcopy pp s1 s2, $(LIBCBMCOPY)/$(t).c) \
	  $(foreach t,d64copy fs gcr pp s1 s2 std, $(LIBD64COPY)/$(t).c)

OBJS    = $(SRCS:.c=.o)
SHOBJS  = $(SRCS:.c=.lo)

all: $(SHLIB) $(LIB) $(SHLIBV) $(SHLIBV3)

clean:
	rm -f $(OBJS) $(SHOBJS) $(LIB) $(SHLIB) $(SHLIBV) $(SHLIBV3)
	rm -f $(LIBD64COPY)/*.o65 $(LIBCBMCOPY)/*.o65
	rm -rf ar.tmp

mrproper: clean
	rm -f $(LIBCBMCOPY)/*.inc $(LIBD64COPY)/*.inc

install-files:
	install -m 755 $(SHLIBV3) $(LIBDIR)
	install -m 644 $(LIB) $(LIBDIR)
	cd $(LIBDIR) && ln -sf $(SHLIBV3) $(SHLIBV); ln -sf $(SHLIBV) $(SHLIB)

install: install-files
	ldconfig -n $(LIBDIR)

uninstall:
	cd $(LIBDIR) && rm -f $(LIB) $(SHLIB) $(SHLIBV) $(SHLIBV3)

.c.o:
	$(CC) $(LIB_CFLAGS) -c -o $@ $<

$(SHLIB): $(SHLIBV)
	ln -sf $< $@

$(SHLIBV): $(SHLIBV3)
	ln -sf $< $@

$(SHLIBV3): $(SHOBJS)
	$(CC) -shared -o $@ $(SONAME)$(SHLIBV) $(SHOBJS) $(LIBARCH)/libarch_fpic.a

$(LIB): $(OBJS)
	mkdir -p ar.tmp
	cp $(LIBARCH)/libarch.a ar.tmp/
	cd ar.tmp && $(AR) x libarch.a
	$(AR) r $@ $(OBJS) ar.tmp/*.o
	rm -rf ar.tmp

### dependencies:

$(LIBCBMCOPY)/cbmcopy.o $(LIBCBMCOPY)/cbmcopy.lo: \
  $(LIBCBMCOPY)/cbmcopy.c ../include/opencbm.h \
  ../include/cbmcopy.h $(LIBCBMCOPY)/cbmcopy_int.h \
  $(LIBCBMCOPY)/turboread1541.inc $(LIBCBMCOPY)/turboread1571.inc \
  $(LIBCBMCOPY)/turboread1581.inc $(LIBCBMCOPY)/turbowrite1541.inc \
  $(LIBCBMCOPY)/turbowrite1571.inc $(LIBCBMCOPY)/turbowrite1581.inc
$(LIBCBMCOPY)/pp.o $(LIBCBMCOPY)/pp.lo: \
  $(LIBCBMCOPY)/pp.c ../include/opencbm.h $(LIBCBMCOPY)/cbmcopy_int.h \
  $(LIBCBMCOPY)/ppr-1541.inc $(LIBCBMCOPY)/ppr-1571.inc \
  $(LIBCBMCOPY)/ppw-1541.inc $(LIBCBMCOPY)/ppw-1571.inc
$(LIBCBMCOPY)/s1.o $(LIBCBMCOPY)/s1.lo: \
  $(LIBCBMCOPY)/s1.c ../include/opencbm.h $(LIBCBMCOPY)/cbmcopy_int.h \
  $(LIBCBMCOPY)/s1r.inc $(LIBCBMCOPY)/s1w.inc $(LIBCBMCOPY)/s1r-1581.inc \
  $(LIBCBMCOPY)/s1w-1581.inc
$(LIBCBMCOPY)/s2.o $(LIBCBMCOPY)/s2.lo: \
  $(LIBCBMCOPY)/s2.c ../include/opencbm.h $(LIBCBMCOPY)/cbmcopy_int.h \
  $(LIBCBMCOPY)/s2r.inc $(LIBCBMCOPY)/s2w.inc $(LIBCBMCOPY)/s2r-1581.inc \
  $(LIBCBMCOPY)/s2w-1581.inc
$(LIBD64COPY)/d64copy.o $(LIBD64COPY)/d64copy.lo: \
  $(LIBD64COPY)/d64copy.c $(LIBD64COPY)/d64copy_int.h \
  ../include/opencbm.h ../include/d64copy.h $(LIBD64COPY)/gcr.h \
  $(LIBD64COPY)/warpread1541.inc $(LIBD64COPY)/warpwrite1541.inc \
  $(LIBD64COPY)/warpread1571.inc $(LIBD64COPY)/warpwrite1571.inc \
  $(LIBD64COPY)/turboread1541.inc $(LIBD64COPY)/turbowrite1541.inc \
  $(LIBD64COPY)/turboread1571.inc $(LIBD64COPY)/turbowrite1571.inc
$(LIBD64COPY)/fs.o $(LIBD64COPY)/fs.lo: \
  $(LIBD64COPY)/fs.c $(LIBD64COPY)/d64copy_int.h ../include/opencbm.h \
  ../include/d64copy.h $(LIBD64COPY)/gcr.h
$(LIBD64COPY)/gcr.o $(LIBD64COPY)/gcr.lo: \
  $(LIBD64COPY)/gcr.c $(LIBD64COPY)/gcr.h
$(LIBD64COPY)/pp.o $(LIBD64COPY)/pp.lo: \
  $(LIBD64COPY)/pp.c ../include/opencbm.h $(LIBD64COPY)/d64copy_int.h \
  ../include/d64copy.h $(LIBD64COPY)/gcr.h $(LIBD64COPY)/pp1541.inc \
  $(LIBD64COPY)/pp1571.inc
$(LIBD64COPY)/s1.o $(LIBD64COPY)/s1.lo: \
  $(LIBD64COPY)/s1.c ../include/opencbm.h $(LIBD64COPY)/d64copy_int.h \
  ../include/d64copy.h $(LIBD64COPY)/gcr.h $(LIBD64COPY)/s1.inc
$(LIBD64COPY)/s2.o $(LIBD64COPY)/s2.lo: \
  $(LIBD64COPY)/s2.c ../include/opencbm.h $(LIBD64COPY)/d64copy_int.h \
  ../include/d64copy.h $(LIBD64COPY)/gcr.h $(LIBD64COPY)/s2.inc
$(LIBD64COPY)/std.o $(LIBD64COPY)/std.lo: \
  $(LIBD64COPY)/std.c ../include/opencbm.h \
  $(LIBD64COPY)/d64copy_int.h ../include/d64copy.h $(LIBD64COPY)/gcr.h
detect.o detect.lo: detect.c ../include/opencbm.h
detectxp1541.o detectxp1541.lo: detectxp1541.c ../include/opencbm.h
petscii.o petscii.lo: petscii.c ../include/opencbm.h
upload.o upload.lo: upload.c ../include/opencbm.h
cbm.o cbm.lo: cbm.c ../include/opencbm.h ../include/LINUX/cbm_module.h

=== arch/linux/LINUX/Makefile ===
# $Id: Makefile,v 1.1.8.3 2007/10/28 11:29:01 strik Exp $

include ../../LINUX/config.make

.PHONY: all clean mrproper install uninstall install-files

ALL_CFLAGS += -I../../include

SHLIB   = libarch_fpic.a
LIB     = libarch.a
SRCS    = file.c

OBJS    = $(SRCS:.c=.o)
SHOBJS  = $(SRCS:.c=.lo)

all: $(SHLIB) $(LIB)

clean:
	rm -f $(OBJS) $(SHOBJS) $(SHLIB) $(LIB)

mrproper: clean

install-files:

install: install-files

uninstall:

.c.o:
	$(CC) $(LIB_CFLAGS) -c -o $@ $<

$(SHLIB): $(SHOBJS)
	$(AR) r $@ $(SHOBJS)

$(LIB): $(OBJS)
	$(AR) r $@ $(OBJS)

=== demo/flash/LINUX/Makefile ===
# $Id: Makefile,v 1.1.10.1 2007/10/28 10:54:25 strik Exp $

include ../config.make

.PHONY: all mrproper clean install uninstall install-files

DEMO    = flash

PROGS   = $(DEMO)
INC     = $(DEMO).inc

all: $(PROGS)

clean:
	rm -f $(PROGS) *.o *.o65

mrproper: clean
	rm -f $(INC)

$(DEMO).o: $(DEMO).c $(DEMO).inc
	$(CC) $(ALL_CFLAGS) -c $(DEMO).c -o $@

$(DEMO): $(DEMO).o
	$(CC) $< -o $@ $(LINK_FLAGS)

install-files:

install:

uninstall:

=== debian/changelog ===
copencbm (0.4.2-1) unstable; urgency=low

  * new version

 -- Spiro Trikaliotis <cbm4win@trikaliotis.net>  Sun, 18 Nov 2007 12:36:44 +0100

opencbm (0.4.1-1) unstable; urgency=low

  * new version

 -- Spiro Trikaliotis <cbm4win@trikaliotis.net>  Sun, 11 Nov 2007 17:44:44 +0100

cbm4linux (0.4.0-1) unstable; urgency=low

  * new version

 -- Spiro Trikaliotis <cbm4win@trikaliotis.net>  Fri, 28 Apr 2006 19:31:44 +0200

cbm4linux (0.3.3-1) unstable; urgency=low

  * version bump

 -- Michael Klein <michael(dot)klein(at)puffin(dot)lb(dot)shuttle(dot)de>  Sat, 28 Aug 2004 20:40:44 +0200

cbm4linux (0.3.2-2) unstable; urgency=low

  * kernel 2.6 module build fixes

 -- Michael Klein <michael(dot)klein(at)puffin(dot)lb(dot)shuttle(dot)de>  Fri, 13 Feb 2004 18:33:28 +0100

cbm4linux (0.3.2-1) unstable; urgency=low

  * Initial Release.

 -- Michael Klein <michael(dot)klein(at)puffin(dot)lb(dot)shuttle(dot)de>  Sun, 31 Aug 2003 14:16:39 +0200

=== debian/control ===
Source: cbm4linux
Section: misc
Priority: extra
Maintainer: Michael Klein <michael(dot)klein(at)puffin(dot)lb(dot)shuttle(dot)de>
Build-Depends: debhelper (>= 4.1.16), linuxdoc-tools, linuxdoc-tools-latex, linuxdoc-tools-text
Standards-Version: 3.6.1

Package: cbm4linux
Architecture: any
Depends: ${shlibs:Depends}, debconf (>= 0.5.00)
Recommends: cbm4linux-modules-source
Description: Commodore serial IEC bus utilities
 This package contains cbmctrl and d64copy

Package: libopencbm0-dev
Section: devel
Architecture: any
Depends: libopencbm0 (= ${Source-Version}), libc6-dev
Provides: libopencbm-dev
Conflicts: libopencbm-dev
Description: Development files for the OpenCBM library
 Header files for libopencbm

Package: libopencbm0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: cbm4linux
Description: Commodore serial IEC bus client library
 Support library for the cbm4linux utilities

Package: cbm4linux-modules-source
Architecture: i386
Section: misc
Pre-Depends: perl
Depends: debconf (>= 0.5.00), debhelper (>> 3.0.0)
Recommends: make, dpkg-dev, gcc | c-compiler, kernel-package
Suggests: cbm4linux
Description: Kernel module source for the CBM module
 Kernel module part of cbm4linux

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

subdirs="include arch/linux lib cbmctrl cbmformat d64copy cbmcopy docs"

# shared library versions, option 1
version=0.4.2
major=0
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -f LINUX/Makefile SUBDIRS=$(subdirs)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) -f LINUX/Makefile SUBDIRS=$(subdirs) clean
	-rm -f docs/*.dvi

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) -f LINUX/Makefile \
		SUBDIRS=$(subdirs) \
		PREFIX=$(CURDIR)/debian/tmp/usr \
		MANDIR=$(CURDIR)/debian/tmp/usr/share/man/man1 \
		INFODIR=$(CURDIR)/debian/tmp/usr/share/info \
		install-files

	install -D -o root -g root -m 644 debian/devfs.conf \
		debian/tmp/etc/devfs/conf.d/cbm4linux
	install -D -o root -g root -m 644 debian/devfs.devices \
		debian/tmp/etc/devfs/devices.d/cbm4linux
	install -D -o root -g root -m 644 debian/cbm4linux-modules-source.conf.h \
		debian/tmp/etc/cbm4linux/cbm4linux-modules-source.conf.h
	install -D -o root -g root -m 644 debian/cbm4linux.modutils \
		debian/tmp/etc/modutils/cbm4linux

	mkdir -p debian/tmp/usr/src/modules/cbm4linux/debian
	for f in debian/{copyright,changelog,*.MODULE}; \
		do cp $$f debian/tmp/usr/src/modules/cbm4linux/`echo $$f | sed 's/\\.MODULE$$//'`; \
	done
	cp sys/linux/cbm_module.c include/LINUX/cbm_module.h debian/tmp/usr/src/modules/cbm4linux/
	cp debian/Makefile.module debian/tmp/usr/src/modules/cbm4linux/Makefile
	tar -czf debian/tmp/usr/src/cbm4linux.tar.gz -C debian/tmp/usr/src modules/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles

	dh_installdebconf
	dh_installdocs
	dh_installexamples
	rm -rf `find debian/*/ -name CVS -type d -print`
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps -ldebian/libopencbm0/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
